LibreOffice: XControlShape Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XControlShape Interface Referencepublished

is implemented by a ControlShape to access the controls model. More...

Inheritance diagram for XControlShape:

## Public Member Functions
com::sun::star::awt::XControlModel | getControl ()
| returns the control model of this Shape.
void | setControl ([in] com::sun::star::awt::XControlModel xControl)
| sets the control model for this Shape.
Public Member Functions inherited from XShape
com::sun::star::awt::Point | getPosition ()
| gets the current position of this object.
void | setPosition ([in] com::sun::star::awt::Point aPosition)
| sets the current position of this object
com::sun::star::awt::Size | getSize ()
| gets the size of this object.
void | setSize ([in] com::sun::star::awt::Size aSize) raises ( com::sun::star::beans::PropertyVetoException )
| sets the size of this object.
Public Member Functions inherited from XShapeDescriptor
string | getShapeType ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

is implemented by a ControlShape to access the controls model.

See also
  com::sun::star::drawing::ControlShape
  com::sun::star::awt::UnoControlModel

## Member Function Documentation

## ◆ getControl()

com::sun::star::awt::XControlModel getControl | ( |  | ) |

returns the control model of this Shape.

Returns
  if there is already a control model assigned to this ControlShape, then it's returned. Otherwise you get an empty reference.

## ◆ setControl()

void setControl | ( | [in] com::sun::star::awt::XControlModel | xControl | ) |

sets the control model for this Shape.

Parameters

  xControl | this will be the new control model that is displayed with this shape. You may change the model more than once during the lifetime of a ControlShape

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XControlShape.idl